> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/marketing/emails/email-variables/automatic-billing-canceled.md).

# Automatic billing canceled

Use the variables in the list below to customize the **Automatic billing canceled** shopper email according to your needs. Check the 'Mandatory' column to see the variables that are required in your customized version of the e-mail.

| **Variable name**               | **Description**                                            | **Test value**                                                                                                     | **Mandatory** |
| ------------------------------- | ---------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------ | ------------- |
| ALLOW\_MYACCOUNT\_PROMO         | Include or exclude myAccount information in the email body | 1                                                                                                                  | No            |
| AVANGATE\_LOGO                  | Avangate logo URL                                          | [https://secure.avangate.com/images/e...endor\_logo.png](https://secure.avangate.com/images/email/vendor_logo.png) | Yes           |
| BASE\_URL                       | Merchant's full host                                       | [https://secure.avangate.com](https://secure.avangate.com/)                                                        | No            |
| BUSINESS\_COMPANY               | Avangate company name                                      | Avangate                                                                                                           | No            |
| BUSINESS\_SUPEMAIL              | Avangate support email address                             | <support@avangate.com>                                                                                             | No            |
| COMMERCIALNAME                  | Merchant's commercial name                                 | \[Software Company Name]                                                                                           | No            |
| ENCRYPTED\_MERCHANT\_CODE       | Encrypted merchant code                                    | 0                                                                                                                  | No            |
| FIRSTNAME                       | Shopper's first name used on the billing information       | \[John                                                                                                             | No            |
| LANGUAGE                        | Order language (abbreviated) selected by shopper           | en                                                                                                                 | No            |
| LASTNAME                        | Shopper's last name used on the billing information        | Doe]                                                                                                               | No            |
| PRODNAME                        | Product name                                               | \[Test product name]                                                                                               | Yes           |
| PRODUCTS\[index1].LICENSE\_TYPE | Type of purchased subscription                             | 0                                                                                                                  | No            |
| SUBSCRIPTION\_EXPIRATION\_DATE  | Subscription expiration date.                              | 2020-04-20                                                                                                         | No            |
| TECHEMAIL                       | Merchant support email address                             | <support@software-company-website.com>                                                                             | No            |
| TECHPHONE                       | Merchant support phone number                              | \[888-xxx-xxxx]                                                                                                    | No            |
| USER\_EMAIL                     | Email address used by shopper to login/signup to myAccount | <example@customer-email.com>                                                                                       | No            |
| WEBSITE                         | Website where the shopper placed the order                 | [http://www.software-company-website.com](http://www.software-company-website.com/)                                | No            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/marketing/emails/email-variables/automatic-billing-canceled.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
